commit:     9bbdd182a8c8beaf322171dc51bdc1e134494369
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 26 08:11:59 2018 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Mon Feb 26 08:12:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9bbdd182

dev-libs/wayland-protocols: bump to 1.13

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-libs/wayland-protocols/Manifest                |  1 +
 .../wayland-protocols-1.13.ebuild                  | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-libs/wayland-protocols/Manifest 
b/dev-libs/wayland-protocols/Manifest
index 903e94b27b0..7cf2b81e4f5 100644
--- a/dev-libs/wayland-protocols/Manifest
+++ b/dev-libs/wayland-protocols/Manifest
@@ -1,2 +1,3 @@
 DIST wayland-protocols-1.11.tar.xz 117852 BLAKE2B 
314f247efdffd0dbc46664e2abe7fade0cb0a36ef77310660f978ea9677c33acd60b1512a5dc2fdbfc40b8e1444da7bb4089e091433bbf2bc4b5ab41e97514ca
 SHA512 
6a6f816dd24f338182ddf11e2daa2db4f048f9153c618bd75712b6e02fccc41294c6c5f33692e858f54bab6b644b1dff49ca223ca2c8410a4afb8aa1b39e34a6
 DIST wayland-protocols-1.12.tar.xz 98920 BLAKE2B 
f6625f91ce5ba9e4ef88b296969e67d99f2889e405f3a416ab00c62d866a78fb554ff9baccfcd8cad2662ab0e5c7908866a9a04a1f16ec36c8a5af250c42564d
 SHA512 
84f913aeaf9786c5ddff4952fa4c318435569ccdc00c625f088b1dc9d6e61f3c439b2d217db9fcf2f0c37da954e266314749e2c3130bf3328cffdc3bdce5695a
+DIST wayland-protocols-1.13.tar.xz 99680 BLAKE2B 
6bb0ecf08e6b0950c50ba40cffc07d79dd95244abc7d2622f9c232bc2b1cfdaeb9fb1e9f1650ff60defc99ae184abf47f13888f44f429136f2a631afe1c2d5e8
 SHA512 
f35c21da289038651b75af064ec7c10779158829f578e7320faf401e980da3c958d85e5bcad00994c574cac6319a3ab975aa5483a9b438f781b767bd6303e194

diff --git a/dev-libs/wayland-protocols/wayland-protocols-1.13.ebuild 
b/dev-libs/wayland-protocols/wayland-protocols-1.13.ebuild
new file mode 100644
index 00000000000..4948be07ff8
--- /dev/null
+++ b/dev-libs/wayland-protocols/wayland-protocols-1.13.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+if [[ ${PV} = 9999* ]]; then
+       
EGIT_REPO_URI="https://anongit.freedesktop.org/git/wayland/wayland-protocols.git";
+       EXPERIMENTAL="true"
+
+       inherit git-r3 autotools
+else
+       inherit autotools
+fi
+
+DESCRIPTION="Wayland protocol files"
+HOMEPAGE="https://wayland.freedesktop.org/";
+
+if [[ $PV != 9999* ]]; then
+       SRC_URI="https://wayland.freedesktop.org/releases/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sh ~sparc ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+RDEPEND="dev-libs/wayland"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+src_prepare() {
+       default
+
+       [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+src_test() {
+       export XDG_RUNTIME_DIR="${T}/runtime-dir"
+       mkdir "${XDG_RUNTIME_DIR}" || die
+       chmod 0700 "${XDG_RUNTIME_DIR}" || die
+
+       default
+}

Reply via email to